### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Attributes
ContinuousAveragingAsianOption Class Reference
Financial instruments

Continuous-averaging Asian option. More...

`#include <ql/instruments/asianoption.hpp>`

Inheritance diagram for ContinuousAveragingAsianOption:
[legend]

List of all members.

## Classes

class | arguments
| Extra arguments for single-asset continuous-average Asian option. More...
class | engine
| Continuous-averaging Asian engine base class. More...

## Public Member Functions

| ContinuousAveragingAsianOption (Average::Type averageType, const boost::shared_ptr< StrikedTypePayoff > &payoff, const boost::shared_ptr< Exercise > &exercise)
void | setupArguments (PricingEngine::arguments *) const

## Protected Attributes

Average::Type | averageType_

## Detailed Description

Continuous-averaging Asian option.

Possible enhancements:
  add running average

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.